# ifndef MAINWINDOW_H
# define MAINWINDOW_H

# include <QtGui/QWidget>

class QPlainTextEdit ; class QSpinBox ; class HBDisplay ;

class MainWindow : public QWidget
{
	Q_OBJECT
public :
	MainWindow ( QWidget * parent = 0 ) ;
public slots :
	void getFileName ( void ) ;
	void renderText ( void ) ;
private :
	QPlainTextEdit * fileNameTextEdit ;
	QSpinBox * sizeSpin ;
	QPlainTextEdit * inputText ;
	HBDisplay * hbdisplay ;
} ;

# endif // MAINWINDOW_H
